Subject: bug#19872: 24.4; UTF8 characters of unusual width (Gnus markers)

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 17 Feb 2015 15:17:28 +1100

>> > Only if Gnus will align text using the :align-to display property,
>> > instead of inserting whitespace characters.
>> 
>> So, I take it for granted that it doesn't use it yet.

Using align-to in the summary buffer wouldn't help much directly,
because Gnus also has to limit the width of the strings.  That can be
done with vertical-motion and stuff, but would make generating the
buffer slow.

If Emacs had a version of align-to that really aligned to the specified
pixel position, even if the text displayed there is wider than that
position, then that would be nice.

(That is, it would have to truncate the text if it's too wide.)

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/